//
// $Id: ActiveDirectoryData.h,v 1.1 2004/06/01 17:05:19 bakerj Exp $
//
//************************** Property of the MITRE Corporation ***************************//
//
// Copyright (c) 2003 - The MITRE Corporation
//
// This file is part of the Query-based Network Assessment project.
//
// The Query-based Network Assessment is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License.
//
// The Query-based Network Assessment is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with the
// Query-based Network Assessment; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
//****************************************************************************************//
//
//  class:	ActiveDirectoryData
//  author: Andrew Buttner	
//  date:   02 April 2004
//
//	This class will store all data for a windows active directory item.  The class is a
//  child class of ProbeData and implments the Write() function.
//
//
//****************************************************************************************//

#ifndef __ACTIVEDIRECTORYDATA_H__
#define __ACTIVEDIRECTORYDATA_H__

#include "ProbeData.h"

class ActiveDirectoryData : public ProbeData
{
	public:
		ActiveDirectoryData(DOMNode* test);
		ActiveDirectoryData(nvpVector* dnVectorIn = NULL);
		~ActiveDirectoryData();

		void Write(XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument *dataDocument);

		TypedData* naming_context;
		TypedData* relative_dn;
		TypedData* attribute;
		bool exists;
		string object_class;
		string adstype;
		string value;
		string msg;

	private:
		void ParseNode(DOMNode *test);
};

#endif