//
// $Id: Log.h,v 1.1 2004/06/01 17:05:21 bakerj Exp $
//
//************************** Property of the MITRE Corporation ***************************//
//
// Copyright (c) 2003 - The MITRE Corporation
//
// This file is part of the OVAL Definition Interpreter.
//
// The OVAL Definition Interpreter is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License.
//
// The OVAL Definition Interpreter is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with the OVAL
// Definition Interpreter; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA 02111-1307 USA
//
//****************************************************************************************//
//
//  class:  Log
//  author: Andrew Buttner
//  date:   11/19/2003
//
//    This class contains one static method that is used to write a message to the log
//    file.  The static bool verboseMode is used to signify a more detailed error report.
//    Certain errors should only be displayed/logged in verbose mode.
//
//****************************************************************************************//

#ifndef LOG_H
#define LOG_H


#include <string>
#include <stdio.h>

using namespace std;

class Log
{
	public:
		static bool ClearLogFile();
		static void WriteLog(string);

		static bool verboseMode;

	private:
		static string logFilename;
};

#endif
